0@@@101@@@-Adv3(iv2c)@@@;	2-Compartment model with bolus or continuous input
;	applicable for multiple dosing

t -= Lag,
j = if II then floor(t / II + Dini) else 1 endif,
if j  <> n then
	n = j,
	if Dini == 0 then ;	<< steady state >>
		a3 = aa a1,
		b3 = bb b1
	elsif n < 1 then ;	<< before first dosing >>
		a3 = 0,
		b3 = 0,
	elsif n == 1 then ;	<< first dosing >>
		a3 = a1,
		b3 = b1,
	else	;			<< general case >>
		a3 = aa a1 (1 - exp(n Alpha II)),
		b3 = bb b1 (1 - exp(n Beta II))
	endif,
	a4 = a3 - a1,
	b4 = b3 - b1
endif,
if n <> Dini then t -= II (n - Dini) endif,
if t < 0 or (t == 0 and RATE <> 0 and Dini == 1) or a3 == 0 then
	y = 0
elsif RATE <> 0 and t < Tinf then ;		<< during infusion >>
	y = 	a4 exp(Alpha t) + b4 exp(Beta t) +
		a2 (1 - exp(Alpha t)) + b2 (1 - exp(Beta t))
else ;				<< after infusion >>
	y = a3 exp(Alpha t) + b3 exp(Beta t)
endif
@@@solve2eq(K + K12 + K21, K21 K, Alpha, Beta),
n = AMT F1 / S1 / (Beta - Alpha),	; temporally
a1 = -n (K21 + Alpha),
b1 = n (K21 + Beta), 
if RATE <> 0 then
	Tinf = if RATE > 0 then AMT / RATE else abs(RATE) endif,
	a2 = - a1 / Tinf / Alpha,
	b2 = - b1 / Tinf / Beta,
	a1 = a2 (exp(-Alpha Tinf) - 1),
	b1 = b2 (exp(-Beta Tinf) - 1)
endif,
aa = 1 /  ( 1 - exp(Alpha II)),
bb = 1 /  ( 1 - exp(Beta II)),
n = -9999,
Thalf_beta = -log(2) / Beta
@@@y@@@t@@@hisaka@@@molecularPK@@@@@@2001-12-04 14:20:14@@@2006-06-22 12:30:41@@@@@@10@@@16@@@AMT@@@en###dose###ja###投与量###Japanese###投与量###English###Dose@@@1@@@1@@@0@@@0@@@1@@@RATE@@@en###dosing rate, period for negative###ja###投与速度（負の場合は投与時間）###Japanese###注入速度 (瞬時注入は0とする、負の値は注入時間となる)###English###Infusion rate (enter 0 for bolus input, enter minus value for fixed infusion period)@@@1@@@0@@@0@@@0@@@1@@@F1@@@en###availability###ja###アベイラビリティ###Japanese###中央コンパートメントの生物学的利用率###English###Bioavailability for central compartment@@@1@@@1@@@0@@@0@@@1@@@S1@@@en###distribution volume###ja###分布容積###Japanese###中央コンパートメントの分布容積 (Vc)###English###Scale for central compartment (Vc)@@@0@@@1@@@0@@@0@@@1@@@K12@@@en###rate constant###ja###速度定数###Japanese###速度定数###English###Rate constant@@@0@@@1@@@0@@@0@@@1@@@K21@@@en###rate constant###ja###速度定数###Japanese###速度定数###English###Rate constant@@@0@@@1@@@0@@@0@@@1@@@K@@@en###elimination rate###ja###消失速度###Japanese###消失速度定数 (Ke)###English###Elimination constant (Ke)@@@0@@@1@@@0@@@0@@@1@@@Lag@@@en###lagtime###ja###ラグタイム###Japanese###ラグタイム###English###Lag time@@@1@@@1@@@0@@@0@@@0@@@Dini@@@en#### of dose until first analysis(0 for inifinite)###ja###解析初回までの投与回数(定常状態は0を入力)###Japanese###最初の投与回数 (通常は１、０を入れると定常状態)###English###Dosing cycle of the initial dosing (Enter 0 for steady state)@@@1@@@1@@@0@@@0@@@1@@@II@@@en###dosing interval###ja###投与間隔###Japanese###投与間隔 (単回投与は0とする)###English###Interdose interval (enter 0 for single dose)@@@1@@@1@@@0@@@0@@@0@@@Alpha@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@Beta@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@Tinf@@@Japanese###Infusion period (Enter 0 for bolus input)@@@1@@@1@@@0@@@0@@@1@@@b3@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@b4@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@Thalf_beta@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@aa@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@bb@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@j@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@n@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@a1@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@a2@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@a3@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@a4@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@b1@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@b2@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@en###2-Compartment model after intravenous dose (including multiple dose)###ja###静脈内投与後の2-コンパートメントモデル（反復投与含む）###Japanese###瞬時注入あるいは持続注入時の2-コンパートメントモデル(連続投与に対応)###English###2-Compartment model with bolus or continuous input (applicable for multiple dosing)@@@